module("luci.controller.modbus_i2c_slave", package.seeall)

local uci = require "luci.model.uci".cursor()
local utl = require "luci.util"
local sys = require "luci.sys"

function index()
	local modbus = nixio.fs.access("/usr/bin/modbus-i2c-slave")
	if modbus then
		entry({"admin", "services", "slave"},  firstchild(), _("Modbus-Slave"), 97)
		entry({"admin", "services", "slave", "modbus_slave"}, cbi("modbus_slave"), _("Modbus Slave"), 30).leaf = true
	end

end


